(* Процедура genkey -- генерация ключа базы данных *)
uses stdio;

(* Длина ключа всегда будет равна 20 символам *)

function genkey (buf:pchar; const suppcode:pchar; orderno:longint):pchar;
begin
  (* Проверка размера ключа *)
  if strlen (suppcode) <> 10 then
  begin
    genkey:=nil;
    exit;
  end;

  sprintf (buf, '%s_%.9d', [suppcode, orderno]);
  genkey:=buf;
end;

var
  buf:array [0..99] of char;
begin
  if genkey (buf, 'supplement', 12)<>nil then
    printf ('Key: %s'#$a, [pchar(buf)]);
end.
